PRIMES(6)

NAME
primes - generate primes

SYNOPSIS
primes [start [stop]]

DESCRIPTION
The primes utility prints primes in ascending order, one per line, starting at or above start and continuing until, but not including stop. The start value must be at least 0 and not greater than stop. The stop value must not be greater than 4294967295. The default value of stop is 4294967295.

When the primes utility is invoked with no arguments, start is read from standard input. stop is taken to be 4294967295. The start value may be preceded by a single ‘+’. The start value is terminated by a non-digit character (such as a newline). The input line must not be longer than 255 characters.

DIAGNOSTICS
Out of range or invalid input results in an appropriate error message being written to standard error.

BUGS
primes won't get you a world record.